Skip to main content
GET
/
v1
/
data
/
reports
cURL
curl --request GET \
  --url https://api.statista.ai/v1/data/reports \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.statista.ai/v1/data/reports"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.statista.ai/v1/data/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "pdf": "<string>",
  "ppt": "<string>",
  "xls": "<string>"
}
This is a legacy endpoint, maintained for backwards compatibility and may be deprecated in a future release.

Authorizations

x-api-key
string
header
required

Query Parameters

id
integer<uint64>
required

The unique identifier of a content information to be retrieved.

Response

The request has succeeded.

The request has succeeded.

pdf
string

The PDF file of this Report

ppt
string

The PowerPoint file of this Report

xls
string

The Excel file of this Report